// LCD module connections
sbit LCD_RS at RB4_bit;
sbit LCD_EN at RB5_bit;
sbit LCD_D4 at RB0_bit;
sbit LCD_D5 at RB1_bit;
sbit LCD_D6 at RB2_bit;
sbit LCD_D7 at RB3_bit;

sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB0_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB3_bit;
// End LCD module connections
 char message[]="ADC Value=";
 char *temp="00.00";
unsigned int value;
void main() 
{
  ADCON0=0X00;
   ADCON1=0X00;
   CMCON=0X07;
   TRISA=0XFF;
   TRISD=0X00;
  lcd_init();
  lcd_cmd(_LCD_CLEAR);
  lcd_cmd(_LCD_CURSOR_OFF);
  lcd_out(1,1,message);
  do
  {
   value=ADC_read(0);
   temp[0]=value/1000+48;
   temp[1]=(value/100)%10+48;
   temp[3]=(value/10)%10+48;
   temp[4]=value%10+48;
   lcd_out(1,12,temp);
   delay_ms(100);
   }
  while(1);
  PORTD=temp;
 }